<p align="center">
  <a href="http://www.gnu.org/licenses/gpl-3.0.txt">
    <img src="https://img.shields.io/badge/license-GPL_3-green.svg" alt="License GPL 3" />
  </a>
</p>

# Livie is Video in Emacs

![screenshot](screenshot.png)

Livie allows the user to search youtube.com and play the video from `mpv`.

## Requirements

- `python >= 3.6`
- `mpv`

  `sudo pacman -S python mpv`

## Installation

``` emacs-lisp
(require 'livie "~/.emacs.d/path/to/livie.el")
(setq livie-script-path (expand-file-name "path/to/livie.py" user-emacs-directory))
```

## Installation in emacs-personal

Create new dir:

    mkdir ~/.emacs.d/private/

Clone repo:

    git clone https://libregit.org/heckyel/livie.git ~/.emacs.d/private/livie

Open `settings.el` write the following:

``` emacs-lisp
(require 'livie "~/.emacs.d/private/livie/livie.el")
(setq livie-script-path (expand-file-name "private/livie/livie.py" user-emacs-directory))
```

## Usage

Just run `M-x livie` and enter a search query. `n`, `p` and `tab`
can be used to navigate the buffer.  Type `s` to enter another search.
To watch a video, press `<enter>`.
